# Class Queue

Namespace
  adas_core.Domain.Models.SystemAlerts

Assembly
  adas-core.Domain.dll

Represents a queue, a data structure that follows the First In, First Out (FIFO) principle for managing elements.

    public class Queue

Inheritance
  object
  Queue

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Consumers

    public ulong Consumers { get; set; }

#### Property Value

ulong

### Messages

    public ulong Messages { get; set; }

#### Property Value

ulong

### Name

    public string? Name { get; set; }

#### Property Value

string